DarkSkyApi 3.3.0

A .NET Standard library for the Dark Sky weather API.

Install-Package DarkSkyApi -Version 3.3.0
dotnet add package DarkSkyApi --version 3.3.0
<PackageReference Include="DarkSkyApi" Version="3.3.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add DarkSkyApi --version 3.3.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: DarkSkyApi, 3.3.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install DarkSkyApi as a Cake Addin
#addin nuget:?package=DarkSkyApi&version=3.3.0

// Install DarkSkyApi as a Cake Tool
#tool nuget:?package=DarkSkyApi&version=3.3.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

* **Breaking Change**: `UVIndexTime` is now a `DateTimeOffset` like other time fields; previously it was a `double`.
* Added support for new fields.
   - `Alert`
     - `Severity` indicates the severity of the alert.
     - `Time` indicates the time at which the alert was issued.
     - `Regions` indicates the regions covered by the alert.
   - `DayDataPoint`
     - `HighTemperature`/`HighTemperatureTime` indicates the daytime high temperature, and when it occurs.
     - `LowTemperature`/`LowTemperatureTime` indicates the overnight low temperature, and when it occurs.
     - `WindGust`/`WindGustTime` indicates the wind gust speed, and when it occurs.
     - `PrecipitationAccumulation` indicates the amount of snowfall accumulation expected.
   - `HourDataPoint`
     - `WindGust` indicates the wind gust speed.
     - `PrecipitationAccumulation` indicates the amount of snowfall accumulation expected.
* Mark deprecated fields as deprecated.
 - `DayDataPoint`
   - `ApparentMaxTemperature`/`ApparentMaxTemperatureTime`
   - `ApparentMinTemperature`/`ApparentMinTemperatureTime`
   - `MaxTemperature`/`MaxTemperatureTime`
   - `MinTemperature`/`MinTemperatureTime`
   

Dependencies

This package has no dependencies.

NuGet packages (2)

Showing the top 2 NuGet packages that depend on DarkSkyApi:

Package Downloads
Simix.SuperMidia.Entities
Plugin for xamarin applications
Simix.SuperMidia.Services
Simix.SuperMidia.Services Plugin for Xamarin

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
3.3.0 21,486 12/4/2017
3.2.1 741 10/26/2017
3.2.0 1,672 5/27/2017
3.1.0 1,268 12/4/2016
3.0.0 1,272 9/30/2016